Entur Developer
Payments

Configurations

Server

Configurations directly configurable by partners. E.g. Webhooks.


Get all webhook configurations

GET
https://api.entur.io/sales
/v1/webhooks

Partners can call this endpoint to get all the webhook configurations they have registered.

Get all webhook configurations › query Parameters

page
​integer · int32 · style: form · explode: true

Selects a specific page in the collection

Default: 1
perPage
​integer · int32 · style: form · explode: true

Selects the number of elements per page

Default: 30

Get all webhook configurations › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get all webhook configurations › Responses

List of webhooks

Page displays a subset of a list of entities
​WebhookConfigurationResponse[] · readOnly · required

Items on a specific page

Example: [{"baseUrl":"https://entur-partner.no/webhooks","secret":"xgr*hyw8bru4DWZ1wqc","eventPaths":[{"event":"CREDIT","path":"/credit"},{"event":"CAPTURE","path":"/capture"}],"organisationId":1}]
totalItems
​integer · int64 · readOnly · required

Total number of items

Example: 72
totalPages
​integer · int64 · readOnly · required

Total number of pages available to browse

Example: 9

Register one or more webhook events.

POST
https://api.entur.io/sales
/v1/webhooks

Partners can call this endpoint to register where they want to receive webhook events. They register a base url, and a list of events and what path the partner want to receive webhooks for that particular event.

Register one or more webhook events. › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Register one or more webhook events. › Request Body

The request body a client will send when registering a webhook configuration.
baseUrl
​string · required

The client specified base url where they want to use for all event paths.

Example: https://entur-partner.no/webhooks
​WebhookConfigurationEventPaths[] · minItems: 1 · required

A collection of which webhooks events and the paths they should be sent to. The path is combined with the base url to form a complete url

Example: [{"event":"CREDIT","path":"/credit"},{"event":"CAPTURE","path":"/capture"}]

Register one or more webhook events. › Responses

Webhook created

The response returned when registering or updating a webhook configuration
baseUrl
​string · required

The client specified base url where they want to use for all event paths.

Example: https://entur-partner.no/webhooks
secret
​string · required

The secret that should be used to validate the signature of receive webhooks. This is generated by Entur.

Example: xgr*hyw8bru4DWZ1wqc
​WebhookConfigurationEventPaths[] · required

A collection of which webhooks events and the paths they should be sent to. The path is combined with the base url to form a complete url

Example: [{"event":"CREDIT","path":"/credit"},{"event":"CAPTURE","path":"/capture"}]
organisationId
​integer · int64 · required

The organisation that own this webhook configuration

Example: 1
id
​integer · int64

The id of the webhook configuration

Example: 1

Get webhook by ID

GET
https://api.entur.io/sales
/v1/webhooks/{webhookConfigurationId}

Get a webhook by the ID of the webhook.

Get webhook by ID › path Parameters

webhookConfigurationId
​integer · int64 · required · style: simple

The id of a webhook

Get webhook by ID › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get webhook by ID › Responses

Webhook found

The response returned when registering or updating a webhook configuration
baseUrl
​string · required

The client specified base url where they want to use for all event paths.

Example: https://entur-partner.no/webhooks
secret
​string · required

The secret that should be used to validate the signature of receive webhooks. This is generated by Entur.

Example: xgr*hyw8bru4DWZ1wqc
​WebhookConfigurationEventPaths[] · required

A collection of which webhooks events and the paths they should be sent to. The path is combined with the base url to form a complete url

Example: [{"event":"CREDIT","path":"/credit"},{"event":"CAPTURE","path":"/capture"}]
organisationId
​integer · int64 · required

The organisation that own this webhook configuration

Example: 1
id
​integer · int64

The id of the webhook configuration

Example: 1

Update a webhook

PUT
https://api.entur.io/sales
/v1/webhooks/{webhookConfigurationId}

Partners can update a webhook configuration by using this endpoint. All the same values the partner input when creating a webhook can be changed using this endpoint

Update a webhook › path Parameters

webhookConfigurationId
​integer · int64 · required · style: simple

The id of a webhook

Update a webhook › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update a webhook › Request Body

The request body a client will send when registering a webhook configuration.
baseUrl
​string · required

The client specified base url where they want to use for all event paths.

Example: https://entur-partner.no/webhooks
​WebhookConfigurationEventPaths[] · minItems: 1 · required

A collection of which webhooks events and the paths they should be sent to. The path is combined with the base url to form a complete url

Example: [{"event":"CREDIT","path":"/credit"},{"event":"CAPTURE","path":"/capture"}]

Update a webhook › Responses

Webhook updated

The response returned when registering or updating a webhook configuration
baseUrl
​string · required

The client specified base url where they want to use for all event paths.

Example: https://entur-partner.no/webhooks
secret
​string · required

The secret that should be used to validate the signature of receive webhooks. This is generated by Entur.

Example: xgr*hyw8bru4DWZ1wqc
​WebhookConfigurationEventPaths[] · required

A collection of which webhooks events and the paths they should be sent to. The path is combined with the base url to form a complete url

Example: [{"event":"CREDIT","path":"/credit"},{"event":"CAPTURE","path":"/capture"}]
organisationId
​integer · int64 · required

The organisation that own this webhook configuration

Example: 1
id
​integer · int64

The id of the webhook configuration

Example: 1

Delete a webhook

DELETE
https://api.entur.io/sales
/v1/webhooks/{webhookConfigurationId}

Delete a specific webhook configuration by id.

Delete a webhook › path Parameters

webhookConfigurationId
​integer · int64 · required · style: simple

The id of a webhook

Delete a webhook › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete a webhook › Responses

Webhook deleted

No data returned

Rotate the webhook secret

POST
https://api.entur.io/sales
/v1/webhooks/{webhookConfigurationId}/rotate-secret

If the current secret has been compromised, this endpoint offers a simple way to rotate the secret.

Rotate the webhook secret › path Parameters

webhookConfigurationId
​integer · int64 · required · style: simple

The id of a webhook

Rotate the webhook secret › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Rotate the webhook secret › Responses

Secret rotated

The response returned when registering or updating a webhook configuration
baseUrl
​string · required

The client specified base url where they want to use for all event paths.

Example: https://entur-partner.no/webhooks
secret
​string · required

The secret that should be used to validate the signature of receive webhooks. This is generated by Entur.

Example: xgr*hyw8bru4DWZ1wqc
​WebhookConfigurationEventPaths[] · required

A collection of which webhooks events and the paths they should be sent to. The path is combined with the base url to form a complete url

Example: [{"event":"CREDIT","path":"/credit"},{"event":"CAPTURE","path":"/capture"}]
organisationId
​integer · int64 · required

The organisation that own this webhook configuration

Example: 1
id
​integer · int64

The id of the webhook configuration

Example: 1

Did you find what you were looking for?